package shanghu

import "github.com/gin-gonic/gin"

func InitShangHuRouter(engine *gin.RouterGroup) {
	v1 := engine.Group("v1")
	{
		v1.POST("/merchant/user/set", OpenIdSet)                            //获取openid 创建用户
		v1.POST("/client/user/set", ClientOpenIdSet)                        //获取openid 创建用户
		v1.POST("/client/user/info", ClientGetUserInfo)                     //client获取用户信息
		v1.POST("/merchant/user/info", GetUserInfo)                         //获取用户信息
		v1.POST("/merchant/card/create", CreateMerchantCard)                //创建商户卡
		v1.POST("/merchant/card/get", GetMerchantCard)                      //获取商户卡信息
		v1.POST("/merchant/card/list", MerchantCardList)                    //商户卡列表                                               //获取商户卡列表
		v1.POST("/merchant/card/update", UpdateMerchantCard)                //更新商户卡
		v1.POST("/merchant/cart/project/create", CreateMerchantCardProject) //创建商户项目
		v1.POST("/merchant/card/project/get", GetMerchantCardProject)       //获取商户卡项目信息
		v1.POST("/merchant/card/project/list", MerchantCardProjectList)     //获取商户卡项目列表
		v1.POST("/merchant/card/project/update", UpdateMerchantCardProject) //更新商户卡项目
		v1.POST("/merchant/create", CreateMerchant)                         //商户信息
		v1.POST("/merchant/get", GetMerchant)                               //获取商户信息
		v1.POST("/merchant/list", MerchantList)                             //获取商户列表
		v1.POST("/merchant/update", UpdateMerchant)                         //更新商户信息
		v1.POST("/client/card/list", ClientCardList)                        //客户端卡列表
		v1.POST("/client/card/info", GetClientCard)                         //获取客户卡信息
		v1.POST("/client/qr/get", GetClientCardQR)                          //获取二维码
		v1.POST("/client/unified/order", UnifiedOrder)                      //生成订单
		v1.POST("/client/pay/callback", PayCallBack)                        //支付回调
		v1.POST("/client/merchant/card/list", MerchantClientCardList)       //c端商户卡列表
		v1.POST("/merchant/card.canvas/get", GetMerchantCanvasCard)         //画布获取详情
		v1.POST("/upload/picture", UploadPicture)                           //上传图片
		v1.POST("/client/pay/list", GetPayTransList)                        //交易列表
		v1.POST("/verification/code", GetVerificationCode)                  //核销码
		v1.POST("/merchant/sale/list", GetMerchantPayTransList)             //销售记录
		v1.POST("/merchant/cancel", CancelNumber)                           //核销  已弃用
		v1.POST("/merchant/update/whxy", UpdateMerchantCardWXYZ)            //xyz                               //更新坐标
		v1.POST("/merchant/user/code", MerchantUserCode)                    //
		v1.POST("/account/amount", GetAccountAmount)                        //获取金额
		v1.POST("/cash/out", PayCashOut)                                    //提现
		v1.POST("/cash.out/list", CashOutList)                              //提现列表
		v1.POST("/client/sale/list", GetClientPayTransList)                 //c端用户分销记录
		v1.POST("/merchant/pay.info/create", CreateMerchantPayInfo)         //创建支付信息
		v1.POST("/merchant/pay.info/update", UpdateMerchantPayInfo)         //更新支付信息
		v1.POST("/merchant/pay.info/get", GetMerchantPayInfo)               //获取支付信息
		v1.POST("/merchant/recharge.url/get", GetRechargeUrl)               //获取充值url
	}

	v2 := engine.Group("v2")
	{
		v2.POST("/merchant/cancel/info", GetMerchantCancelInfo) //核销详情
		v2.POST("/merchant/cancel", CancelNumberV2)
	}

	recharge := engine.Group("v1/recharge")
	{
		recharge.POST("/config", CreateMerchantRechargeConfig) //充100送xxx
		recharge.POST("/del", DelMerchantRechargeConfig)
		recharge.POST("/list", MerchantRechargeConfigList)
		recharge.POST("/project/create", CreateMerchantRechargeProject)
		recharge.POST("/project/del", DelMerchantRechargeProject)
		recharge.POST("/project/list", MerchantRechargeProjectList)
		recharge.POST("/merchant/recharge", MerchantRecharge)                       //充值根据code给用户充值
		recharge.POST("/client/account/list", GetMerchantRechargeClientAccountList) //客户端展示金额
		recharge.POST("/client/ticket/list", GetMerchantRechargeList)               //客户端展示优惠券
		recharge.POST("/client/recharge/list", GetMerchantClientTicketAccountLog)   //获取充值记录
		recharge.POST("/verification/code", GetRechargeVerificationCode)            //获取code
		recharge.POST("/merchant/cancel/info", GetChargeMerchantCancelInfo)         // 核销详情
		recharge.POST("/merchant/cancel", RechargeCancel)                           // 核销
		recharge.POST("/merchant/cancel/log", GetMerchantRechargeLog)               // 商家核销记录
		recharge.POST("/client/cancel/log", GetClientRechargeLog)                   // c端核销记录
	}

	activeV1 := engine.Group("activeV1")
	{
		activeV1.POST("/active/draw/product/create", DrawProductCreate) //抽奖奖品创建
		activeV1.POST("/active/group/buy/create", GroupBuyCreate)       //拼团创建
		activeV1.POST("/active/config/create", ActiveConfigCreate)      //创建活动
		activeV1.POST("/active/config/list", ActiveConfigList)          //活动列表
		activeV1.POST("/active/config/info", ActiveConfigInfo)          //活动详情
		activeV1.POST("/active/draw/product/list", DrawProductList)     //奖品列表
		activeV1.POST("/active/group/buy/list", GroupBuyList)           //拼团列表
	}
}
