package shanghu

import (
	"duoduo/apis/shanghu/models"
	"duoduo/models/shanghu"
	"duoduo/tools/app"
	"github.com/gin-gonic/gin"
)

func GetMerchantRechargeClientAccountList(c *gin.Context) {
	var inData models.MerchantRechargeClientAccountListRequest
	var sqlData shanghu.MerchantRechargeClientAccount
	var outDataList []models.MerchantRechargeClientAccountListReply

	err := c.ShouldBindJSON(&inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	var pageSize = 10
	var pageIndex = 1

	if inData.PageSize != 0 {
		pageSize = inData.PageSize
	}
	if inData.PageIndex != 0 {
		pageIndex = inData.PageIndex
	}

	sqlData.ClientOpenID = inData.ClientOpenId

	cashOutList, count, err := sqlData.MerchantRechargeClientAccountList(pageSize, pageIndex)
	if err != nil {
		app.Error(c, 500, err, err.Error())
		return
	}

	for _, v := range cashOutList {
		var merchant shanghu.Merchant
		var outData models.MerchantRechargeClientAccountListReply
		merchant.OpenId = v.MerchantOpenID
		merchantData, err := merchant.GetMerchant()
		if err != nil {
			app.Error(c, 500, err, err.Error())
			return
		}
		outData.MerchantOpenName = merchantData.MerchantName
		outData.MerchantOpenID = v.MerchantOpenID
		outData.Amount = v.Amount.String()
		outData.ClientOpenID = v.ClientOpenID
		outData.AccountId = v.ID
		outDataList = append(outDataList, outData)

	}

	app.PageOK(c, outDataList, count, pageIndex, pageSize, app.Success)

}
