package models

import "github.com/shopspring/decimal"

type CreateDrawProductRequest struct {
	MerchantOpenID  string `json:"merchant_open_id"`
	DrawProductName string `json:"draw_product_name"` // 抽奖名称
	DrawOdds        int    `json:"draw_odds"`         // 中奖概率
	IsPrize         bool   `json:"is_prize"`          // 是否需要兑奖  谢谢惠顾不需要兑奖
	DrawUrl         string `json:"draw_url"`          // 中奖图片
	TotalStock      int    `json:"total_stock"`       // 总库存
}

type DrawProductListRequest struct {
	OpenId    string `json:"open_id"`
	PageSize  int    `json:"page_size"`
	PageIndex int    `json:"page_index"`
}

type DrawProductListReply struct {
	//DrawProductInfo []DrawProductInfo `json:"draw_product_info"`
	ID              int64  `json:"id"`
	MerchantOpenID  string `json:"merchant_open_id"`
	DrawProductName string `json:"draw_product_name"` // 抽奖名称
	DrawOdds        int    `json:"draw_odds"`         // 中奖概率
	Stock           int    `json:"stock"`             // 剩余库存
	IsPrize         bool   `json:"is_prize"`          // 是否需要兑奖  谢谢惠顾不需要兑奖
	DrawUrl         string `json:"draw_url"`          // 中奖图片
	TotalStock      int    `json:"total_stock"`       // 总库存
	ActiveConfigID  int64  `json:"active_config_id"`  // 关联活动
}

type DrawProductInfo struct {
	ID              int64           `json:"id"`
	MerchantOpenID  string          `json:"merchant_open_id"`
	DrawProductName string          `json:"draw_product_name"` // 抽奖名称
	DrawOdds        decimal.Decimal `json:"draw_odds"`         // 中奖概率
	Stock           int             `json:"stock"`             // 剩余库存
	IsPrize         bool            `json:"is_prize"`          // 是否需要兑奖  谢谢惠顾不需要兑奖
	DrawUrl         string          `json:"draw_url"`          // 中奖图片
	TotalStock      int             `json:"total_stock"`       // 总库存
	ActiveConfigID  int64           `json:"active_config_id"`  // 关联活动

}
