package models

import "github.com/shopspring/decimal"

type CreateGroupBuyRequest struct {
	MerchantOpenId     string                  `json:"merchant_open_id"`
	GroupBuyName       string                  `json:"group_buy_name"`        // 拼团名
	GroupBuyMode       int                     `json:"group_buy_mode"`        // 拼团模式 1-真实拼团 2-虚拟拼团
	OriginalPrice      decimal.Decimal         `json:"original_price"`        // 原价
	GroupBuyOneNum     int                     `json:"group_buy_one_num"`     // 人数
	GroupBuyOnePrice   decimal.Decimal         `json:"group_buy_one_price"`   // 价格
	GroupBuyTwoNum     int                     `json:"group_buy_two_num"`     // 人数
	GroupBuyTwoPrice   decimal.Decimal         `json:"group_buy_two_price"`   // 价格
	GroupBuyThreeNum   int                     `json:"group_buy_three_num"`   //
	GroupBuyThreePrice decimal.Decimal         `json:"group_buy_three_price"` //
	GroupBuyFourNum    int                     `json:"group_buy_four_num"`    //
	GroupBuyFourPrice  decimal.Decimal         `json:"group_buy_four_price"`  //
	GroupBuyUrl        string                  `json:"group_buy_url"`         // 图片
	RebateRate         int                     `json:"rebate_rate"`           //佣金比例
	GroupBuyProject    []CreateGroupBuyProject `json:"group_buy_project"`
}

type CreateGroupBuyProject struct {
	ProjectName string `json:"project_name"`
	CancelNum   int    `json:"cancel_num"`
}

type GroupBuyListRequest struct {
	OpenId    string `json:"open_id"`
	PageSize  int    `json:"page_size"`
	PageIndex int    `json:"page_index"`
}

type GroupBuyListReply struct {
	//GroupBuyInfo []GroupBuyInfo `json:"group_buy_info"`
	ID                 int64                   `json:"id"`
	MerchantOpenId     string                  `json:"merchant_open_id"`
	GroupBuyName       string                  `json:"group_buy_name"`        // 拼团名
	GroupBuyMode       int                     `json:"group_buy_mode"`        // 拼团模式 1-真实拼团 2-虚拟拼团
	OriginalPrice      decimal.Decimal         `json:"original_price"`        // 原价
	GroupBuyOneNum     int                     `json:"group_buy_one_num"`     // 人数
	GroupBuyOnePrice   decimal.Decimal         `json:"group_buy_one_price"`   // 价格
	GroupBuyTwoNum     int                     `json:"group_buy_two_num"`     // 人数
	GroupBuyTwoPrice   decimal.Decimal         `json:"group_buy_two_price"`   // 价格
	GroupBuyThreeNum   int                     `json:"group_buy_three_num"`   //
	GroupBuyThreePrice decimal.Decimal         `json:"group_buy_three_price"` //
	GroupBuyFourNum    int                     `json:"group_buy_four_num"`    //
	GroupBuyFourPrice  decimal.Decimal         `json:"group_buy_four_price"`  //
	GroupBuyUrl        string                  `json:"group_buy_url"`         // 图片
	RebateRate         int                     `json:"rebate_rate"`           //佣金比例
	GroupBuyProject    []CreateGroupBuyProject `json:"group_buy_project"`     //
}

type GroupBuyInfo struct {
	ID                 int64                   `json:"id"`
	MerchantOpenId     string                  `json:"merchant_open_id"`
	GroupBuyName       string                  `json:"group_buy_name"`        // 拼团名
	GroupBuyMode       int                     `json:"group_buy_mode"`        // 拼团模式 1-真实拼团 2-虚拟拼团
	OriginalPrice      decimal.Decimal         `json:"original_price"`        // 原价
	GroupBuyOneNum     int                     `json:"group_buy_one_num"`     // 人数
	GroupBuyOnePrice   decimal.Decimal         `json:"group_buy_one_price"`   // 价格
	GroupBuyTwoNum     int                     `json:"group_buy_two_num"`     // 人数
	GroupBuyTwoPrice   decimal.Decimal         `json:"group_buy_two_price"`   // 价格
	GroupBuyThreeNum   int                     `json:"group_buy_three_num"`   //
	GroupBuyThreePrice decimal.Decimal         `json:"group_buy_three_price"` //
	GroupBuyFourNum    int                     `json:"group_buy_four_num"`    //
	GroupBuyFourPrice  decimal.Decimal         `json:"group_buy_four_price"`  //
	GroupBuyUrl        string                  `json:"group_buy_url"`         // 图片
	RebateRate         int                     `json:"rebate_rate"`           //佣金比例
	GroupBuyProject    []CreateGroupBuyProject `json:"group_buy_project"`
}
